#!/bin/bash
# ##########################################################################
# ####                                                                  ####
# ####                         Prfungsamt-Client                       ####
# ####                    ============================                  ####
# ####                                                                  ####
# #### Backup-Skript                                                    ####
# ####                                                                  ####
# #### Version 1.00                                                     ####
# ####                                                                  ####
# #### Copyright (C) 2000  Thomas Dreibholz                             ####
# ####                     Universitt Bonn, Abt. IV                    ####
# ####                     EMail: Dreibholz@bigfoot.com                 ####
# ####                     WWW:   http://www.bigfoot.com/~dreibholz     ####
# ####                                                                  ####
# ##########################################################################


if [ ! $# -gt 0 ]
then
   echo "Aufruf: TarBackup.sh [Tar-File]"
   exit
fi


make clean
tar --no-recursion -c -p -z -v -f $1 ./* bak1/padb/* bak2/padb/* examples/* Konzept/* Pixmaps/*


echo ""
echo "Backup to $1 completed!"
echo ""
