// ##########################################################################
// ####                                                                  ####
// ####                         Prfungsamt-Client                       ####
// ####                    ============================                  ####
// ####                                                                  ####
// #### Datenbank-Fehlermeldungen                                        ####
// ####                                                                  ####
// #### Version 1.00  --  12. Juli 2000                                  ####
// ####                                                                  ####
// #### Copyright (C) 2000  Thomas Dreibholz                             ####
// ####                     Universitt Bonn                             ####
// ####                     EMail: Dreibholz@bigfoot.com                 ####
// ####                     WWW:   http://www.bigfoot.com/~dreibholz     ####
// ####                                                                  ####
// ##########################################################################


#ifndef SQL_MESSAGES_H
#define SQL_MESSAGES_H


#include "system.h"


#include <qapp.h>
#if QT_VERSION < 210
#error ERROR: QT Version 2.1 or better required!!!
#endif
#include <qmessagebox.h>


/**
  * Ausgabe einer SQL-Warnung.
  *
  * @param widget Qt-Widget.
  * @param text Warnungs-Text.
  */
void sqlWarning(QWidget* widget, const QString& text);


/**
  * Ausgabe eines SQL-Fehlers.
  *
  * @param widget Qt-Widget.
  * @param text Fehler-Text.
  */
void sqlError(QWidget* widget, const QString& text);


#endif
